<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/BlockingPolicy.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">BlockingPolicy.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_blocking_policy_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_BLOCKINGPOLICY_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_BLOCKINGPOLICY_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;bitset&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>avs {</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html">BlockingPolicy</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html">   34</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html">Medium</a> {</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299">   36</a></span>&#160;        <span class="keyword">enum</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299">MediumEnum</a> {</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299a6d167e39edc2e539090fb0a98fd73236">   38</a></span>&#160;            <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299a6d167e39edc2e539090fb0a98fd73236">AUDIO</a>,</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299a9f1d1bf05cae38678e853e2351391878">   40</a></span>&#160;            <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299a9f1d1bf05cae38678e853e2351391878">VISUAL</a>,</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299aceea6f76ae0d7aa000af0c1f52814e2f">   42</a></span>&#160;            <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299aceea6f76ae0d7aa000af0c1f52814e2f">COUNT</a></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        };</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    };</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">   47</a></span>&#160;    <span class="keyword">using</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">Mediums</a> = std::bitset&lt;Medium::COUNT&gt;;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a575750ddabf07f62cda27a7e003bcfa9">   50</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">Mediums</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a575750ddabf07f62cda27a7e003bcfa9">MEDIUM_AUDIO</a>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a1966c45ce05f7980b18837eb158884c6">   53</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">Mediums</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a1966c45ce05f7980b18837eb158884c6">MEDIUM_VISUAL</a>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#ad5e2b7a602fca1bd8d27aace73fb660e">   56</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">Mediums</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#ad5e2b7a602fca1bd8d27aace73fb660e">MEDIUMS_AUDIO_AND_VISUAL</a>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#aa05e93cd19d39d0ee4ee0b18a99b79db">   62</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">Mediums</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#aa05e93cd19d39d0ee4ee0b18a99b79db">MEDIUMS_NONE</a>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#adf43dd9b99f5d305a232a42b6b9ef766">BlockingPolicy</a>(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">Mediums</a>&amp; mediums = <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#aa05e93cd19d39d0ee4ee0b18a99b79db">MEDIUMS_NONE</a>, <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a1e962bba9a97194f54f51ac80b750de1">isBlocking</a> = <span class="keyword">true</span>);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a353c284aa2770b2ef635ea888b600d59">isValid</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a1e962bba9a97194f54f51ac80b750de1">isBlocking</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">Mediums</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a0375f0208d1068bcb1f6092d501d715f">getMediums</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">Mediums</a> m_mediums;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordtype">bool</span> m_isBlocking;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;};</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ab4059f173861c459d472189724825c73">  107</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a7c03504af12853a6a16d7f525a0f906b">operator&lt;&lt;</a>(std::ostream&amp; stream, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html">BlockingPolicy</a>&amp; policy) {</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    stream &lt;&lt; <span class="stringliteral">&quot; Mediums:&quot;</span>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keyword">auto</span> mediums = policy.<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a0375f0208d1068bcb1f6092d501d715f">getMediums</a>();</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a575750ddabf07f62cda27a7e003bcfa9">BlockingPolicy::MEDIUM_AUDIO</a> == mediums) {</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        stream &lt;&lt; <span class="stringliteral">&quot;MEDIUM_AUDIO&quot;</span>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a1966c45ce05f7980b18837eb158884c6">BlockingPolicy::MEDIUM_VISUAL</a> == mediums) {</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        stream &lt;&lt; <span class="stringliteral">&quot;MEDIUM_VISUAL&quot;</span>;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#ad5e2b7a602fca1bd8d27aace73fb660e">BlockingPolicy::MEDIUMS_AUDIO_AND_VISUAL</a> == mediums) {</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        stream &lt;&lt; <span class="stringliteral">&quot;MEDIUMS_AUDIO_AND_VISUAL&quot;</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#aa05e93cd19d39d0ee4ee0b18a99b79db">BlockingPolicy::MEDIUMS_NONE</a> == mediums) {</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        stream &lt;&lt; <span class="stringliteral">&quot;MEDIUMS_NONE&quot;</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        stream &lt;&lt; <span class="stringliteral">&quot;Unknown&quot;</span>;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    }</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    stream &lt;&lt; policy.<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a0375f0208d1068bcb1f6092d501d715f">getMediums</a>() &lt;&lt; <span class="stringliteral">&quot; .isBlocking:&quot;</span> &lt;&lt; (policy.<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a1e962bba9a97194f54f51ac80b750de1">isBlocking</a>() ? <span class="stringliteral">&quot;True&quot;</span> : <span class="stringliteral">&quot;False&quot;</span>);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keywordflow">return</span> stream;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;}</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a328cbb36f3a115ed3e1346f0eca02004">operator==</a>(<span class="keyword">const</span> BlockingPolicy&amp; lhs, <span class="keyword">const</span> BlockingPolicy&amp; rhs);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a67ce8e73cf4437262ea207c998657f9c">operator!=</a>(<span class="keyword">const</span> BlockingPolicy&amp; lhs, <span class="keyword">const</span> BlockingPolicy&amp; rhs);</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;}  <span class="comment">// namespace avs</span></div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_BLOCKINGPOLICY_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html_a353c284aa2770b2ef635ea888b600d59"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a353c284aa2770b2ef635ea888b600d59">alexaClientSDK::avsCommon::avs::BlockingPolicy::isValid</a></div><div class="ttdeci">bool isValid() const</div><div class="ttdef"><b>Definition:</b> BlockingPolicy.cpp:56</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html_a73714c4690aaad7f728e621cbc4576a6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a73714c4690aaad7f728e621cbc4576a6">alexaClientSDK::avsCommon::avs::BlockingPolicy::Mediums</a></div><div class="ttdeci">std::bitset&lt; Medium::COUNT &gt; Mediums</div><div class="ttdoc">The mediums used by the policy owner. </div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:47</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html_aa05e93cd19d39d0ee4ee0b18a99b79db"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#aa05e93cd19d39d0ee4ee0b18a99b79db">alexaClientSDK::avsCommon::avs::BlockingPolicy::MEDIUMS_NONE</a></div><div class="ttdeci">static const Mediums MEDIUMS_NONE</div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:62</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html_ad5e2b7a602fca1bd8d27aace73fb660e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#ad5e2b7a602fca1bd8d27aace73fb660e">alexaClientSDK::avsCommon::avs::BlockingPolicy::MEDIUMS_AUDIO_AND_VISUAL</a></div><div class="ttdeci">static const Mediums MEDIUMS_AUDIO_AND_VISUAL</div><div class="ttdoc">Policy uses AUDIO and VISUAL mediums. </div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:56</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a328cbb36f3a115ed3e1346f0eca02004"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a328cbb36f3a115ed3e1346f0eca02004">alexaClientSDK::avsCommon::avs::operator==</a></div><div class="ttdeci">bool operator==(const BlockingPolicy &amp;lhs, const BlockingPolicy &amp;rhs)</div><div class="ttdef"><b>Definition:</b> BlockingPolicy.cpp:72</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html">alexaClientSDK::avsCommon::avs::BlockingPolicy::Medium</a></div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:34</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium_html_a62a8eb926fee107af24e964130f45299a9f1d1bf05cae38678e853e2351391878"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299a9f1d1bf05cae38678e853e2351391878">alexaClientSDK::avsCommon::avs::BlockingPolicy::Medium::VISUAL</a></div><div class="ttdoc">Visual Medium. </div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:40</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a67ce8e73cf4437262ea207c998657f9c"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a67ce8e73cf4437262ea207c998657f9c">alexaClientSDK::avsCommon::avs::operator!=</a></div><div class="ttdeci">bool operator!=(const BlockingPolicy &amp;lhs, const BlockingPolicy &amp;rhs)</div><div class="ttdef"><b>Definition:</b> BlockingPolicy.cpp:76</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium_html_a62a8eb926fee107af24e964130f45299"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299">alexaClientSDK::avsCommon::avs::BlockingPolicy::Medium::MediumEnum</a></div><div class="ttdeci">MediumEnum</div><div class="ttdoc">The medium enum. </div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:36</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium_html_a62a8eb926fee107af24e964130f45299aceea6f76ae0d7aa000af0c1f52814e2f"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299aceea6f76ae0d7aa000af0c1f52814e2f">alexaClientSDK::avsCommon::avs::BlockingPolicy::Medium::COUNT</a></div><div class="ttdoc">Number of mediums. This MUST be the last enum member. </div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:42</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html_adf43dd9b99f5d305a232a42b6b9ef766"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#adf43dd9b99f5d305a232a42b6b9ef766">alexaClientSDK::avsCommon::avs::BlockingPolicy::BlockingPolicy</a></div><div class="ttdeci">BlockingPolicy(const Mediums &amp;mediums=MEDIUMS_NONE, bool isBlocking=true)</div><div class="ttdef"><b>Definition:</b> BlockingPolicy.cpp:53</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html_a575750ddabf07f62cda27a7e003bcfa9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a575750ddabf07f62cda27a7e003bcfa9">alexaClientSDK::avsCommon::avs::BlockingPolicy::MEDIUM_AUDIO</a></div><div class="ttdeci">static const Mediums MEDIUM_AUDIO</div><div class="ttdoc">Policy uses AUDIO medium. </div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:50</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium_html_a62a8eb926fee107af24e964130f45299a6d167e39edc2e539090fb0a98fd73236"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_1_1_medium.html#a62a8eb926fee107af24e964130f45299a6d167e39edc2e539090fb0a98fd73236">alexaClientSDK::avsCommon::avs::BlockingPolicy::Medium::AUDIO</a></div><div class="ttdoc">Audio Medium. </div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:38</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a7c03504af12853a6a16d7f525a0f906b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a7c03504af12853a6a16d7f525a0f906b">alexaClientSDK::avsCommon::avs::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, const AVSDirective::ParseStatus &amp;status)</div><div class="ttdef"><b>Definition:</b> AVSDirective.h:172</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html">alexaClientSDK::avsCommon::avs::BlockingPolicy</a></div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html_a1e962bba9a97194f54f51ac80b750de1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a1e962bba9a97194f54f51ac80b750de1">alexaClientSDK::avsCommon::avs::BlockingPolicy::isBlocking</a></div><div class="ttdeci">bool isBlocking() const</div><div class="ttdef"><b>Definition:</b> BlockingPolicy.cpp:64</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html_a1966c45ce05f7980b18837eb158884c6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a1966c45ce05f7980b18837eb158884c6">alexaClientSDK::avsCommon::avs::BlockingPolicy::MEDIUM_VISUAL</a></div><div class="ttdeci">static const Mediums MEDIUM_VISUAL</div><div class="ttdoc">Policy uses VISUAL medium. </div><div class="ttdef"><b>Definition:</b> BlockingPolicy.h:53</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy_html_a0375f0208d1068bcb1f6092d501d715f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a0375f0208d1068bcb1f6092d501d715f">alexaClientSDK::avsCommon::avs::BlockingPolicy::getMediums</a></div><div class="ttdeci">Mediums getMediums() const</div><div class="ttdef"><b>Definition:</b> BlockingPolicy.cpp:68</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
